﻿using System;
using System.Globalization;

namespace Qwirkle.Converters
{
    public class Int2ColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is not string) return Colors.Transparent;

            string colorstring = (string)value;

            if(string.IsNullOrWhiteSpace(colorstring)) return Colors.Transparent;

            if (colorstring == "Yellow") return Colors.Yellow;
            if (colorstring == "Red") return Colors.Red;
            if (colorstring == "Blue") return Colors.Blue;
            if (colorstring == "Green") return Colors.Green;
            if (colorstring == "Orange") return Colors.Orange;
            if (colorstring == "Purple") return Colors.Purple;
            if (colorstring == "Transparent") return Colors.Transparent;


            return Colors.Plum;
        }

        public object? ConvertBack(object? value, Type targetType, object? parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
